Package org.codehaus.groovy.util

# Class DoubleArrayIterable

java.lang.Object
org.codehaus.groovy.util.DoubleArrayIterable

All Implemented Interfaces:
  `Iterable<Double>`

public class DoubleArrayIterable extends Object implements Iterable<Double>
Allows a double array to be used where an Iterable is expected.

Since:
  3.0.8

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleArrayIterable(double[] array)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<Double>`
  `iterator()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### DoubleArrayIterable

    public DoubleArrayIterable(double[] array)

- ## Method Details

  - ### iterator

    public Iterator<Double> iterator()
    Specified by:
      `iterator` in interface `Iterable<Double>`